from _typeshed import Incomplete

class LibraryException(OSError): ...
class LibraryNotFoundException(LibraryException): ...
class NoLibraryCandidatesException(LibraryNotFoundException): ...
class LibraryNotLoadedException(LibraryException): ...
class LibraryMissingSymbolsException(LibraryException): ...

def locate_library(candidates, find_library=...): ...
def load_library(
    lib, name: Incomplete | None = ..., lib_cls: Incomplete | None = ...
): ...
def load_locate_library(
    candidates,
    cygwin_lib,
    name,
    win_cls: Incomplete | None = ...,
    cygwin_cls: Incomplete | None = ...,
    others_cls: Incomplete | None = ...,
    find_library: Incomplete | None = ...,
    check_symbols: Incomplete | None = ...,
): ...
